server:
  port: 8899
spring:
  application:
    name: api-interface

  # 环境 dev|pre|online
  profiles:
    active: dev
  jackson:
    default-property-inclusion: non_null
    serialization:
      write-dates-as-timestamps: true
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 100MB
      # 设置总上传的文件大小
      max-request-size: 200MB

#mybatis
mybatis-plus:
  # 不支持多包, 如有需要可在注解配置 或 提升扫包等级
  # 例如 com.**.**.mapper
  mapperPackage: com.heyu.api.data.**.dao
  # 对应的 XML 文件位置
  mapperLocations: classpath*:mapper/**/*Mapper.xml,classpath*:mapper/**/*Dao.xml
  # 实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.heyu.api.data.**.entity
  global-config:
    db-config:
      #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
      id-type: AUTO
      #字段策略 IGNORED:"忽略判断",NOT_NULL:"非 NULL 判断"),NOT_EMPTY:"非空判断"
      field-strategy: NOT_NULL
      column-underline: true
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'


logging:
    config: classpath:log/logback-${spring.profiles.active}.xml

eb:
  config:
    rabbitQueue:
      accountAmountQueue: ACCOUNT_AMOUNT_QUEUE_NAME
      accountLogName: ACCOUNT_LOG_NAME


aliyun:
  alibaba_cloud_access_key_id: LTAI5tP6oAnNbbxJ357o28Hp
  alibaba_cloud_access_key_secret: 60LMF88f52wzviDfcpjuZEouZImGO6


oss:
  config:
    endpoint: oss-cn-shanghai.aliyuncs.com
    accessKeyId: LTAI5tP6oAnNbbxJ357o28Hp
    secretAccessKey: 60LMF88f52wzviDfcpjuZEouZImGO6
    bucketName: heyuimage


tencent:
  face:
    ak: zs9oN4gSuoS3eK8dVJg6jyKh
    sk: uHIRXkj6rbW1eXy8eRVCeP1e3cRQKXay
    endpoint: faceid.tencentcloudapi.com